Market plugin

Warning: This plugin has't been updated in over 3 years. It may no longer be maintained.

What you can do to help:

Get a market place for buying and selling items

Last updated
Viewing an adPlugin settingsEdit form
Recommended Releases
Elgg Release Download Date Links
1.111.10.2 (151.88 kB)2015-Jun-28
1.101.10.2 (151.88 kB)2015-Jun-28
1.91.9.3 (154.97 kB)2014-Dec-02
1.81.8.3 (154.08 kB)2014-Jul-21
1.71.0e (130.42 kB)2011-Aug-01
1.60.9.7 (134.67 kB)2010-May-16
Show all releases

 

Market Plugin for Elgg

  • Use version 0.9.6 for Elgg version 1.5 - 1.6.1
  • Use version 1.0x for Elgg version 1.7
  • Use version 1.8.x for Elgg version 1.8
  • Use version 1.9.x for Elgg version 1.9
  • Use version 1.10.x for Elgg version 1.10
  • Use version 1.10.x for Elgg version 1.11

----------------------------------

INSTALLATION

----------------------------------

  1. Drop the folder market in "/mod"
  2. Activate the plugin in the administration panel
  3. In Administration/Tools administration/market/Settings you can setup how the plugin behaves
  4. To change any of the dialog, words, and sentences, edit 'mod/market/languages/*.php'

----------------------------------

FEATURES

----------------------------------

  • Administrator limited number of market posts.
  • Post text limited to 250 characters if text only is selected
  • Add a "Send Private Message" button on posts
  • Add a custom select drop down
  • Select if it's admin or alle users that can create posts
  • Select if comments are enabled
  • Select rich text for posts
  • Posts are categorised for easy finding
  • When creating/editing market posts users must tick "I have read and accepted the Terms of use of use." before it can be saved!
  • Add tags to your classified
  • View friends post
  • Colorbox (Fancybox for pre Elgg 1.9) for viewing large image
  • Comments on posts
  • River announcements
  • A widget for users profile showing of their latest posts on the market
  • Up to 4 images per ad (since version 1.8.2)
  • Auto delete of ads older than value specified in settings (since version 1.8.2)
  • Optional loacation field (since version 1.9.1)

----------------------------------

Forked from Team Webgalli's Classifieds Plugin GPL (www.webgalli.com), but NOT compatible with it!

Stats

  • Category: eCommerce
  • License: GNU General Public License (GPL) version 2
  • Updated: 2015-6-28
  • Downloads: 20053
  • Recommendations: 70

Other Projects

View slyhne's plugins